Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.barbecue
Class BarbecueFillComponent

    java.lang.Object
      net.sf.jasperreports.engine.component.BaseFillComponent
          net.sf.jasperreports.components.barbecue.BarbecueFillComponent

All Implemented Interfaces:
  FillComponent

    public class BarbecueFillComponent

extends BaseFillComponent

Version:
  $Id: BarbecueFillComponent.java 3505 2010-03-04 14:08:05Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary

Fields inherited from class net.sf.jasperreports.engine.component.BaseFillComponent
`fillContext`

Constructor Summary
`BarbecueFillComponent(BarbecueComponent barcode)`

Method Summary
`void` | `evaluate(byte evaluation)` Evaluates the fill component.
`protected void` | `evaluateBarcode(byte evaluation)`
`void` | `evaluateDelayedElement(JRPrintElement element, byte evaluation)` The default implementation throws `UnsupportedOperationException`.
`JRPrintElement` | `fill()` Fills the component by creating a print element which will be included in the generated report.
`protected BarbecueComponent` | `getBarcode()`
`protected JRTemplateImage` | `getTemplateImage()`
`protected boolean` | `isEvaluateNow()`
`FillPrepareResult` | `prepare(int availableHeight)` Prepares to fill the component by deciding whether the component will print, and how much vertical space it will require.
`protected void` | `setBarcodeImage(JRTemplatePrintImage image)`

Methods inherited from class net.sf.jasperreports.engine.component.BaseFillComponent
`evaluateExpression, initialize, rewind`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BarbecueFillComponent

    public BarbecueFillComponent(BarbecueComponent barcode)

Method Detail

### getBarcode

    protected BarbecueComponent getBarcode()

### evaluate

    public void evaluate(byte evaluation)
                  throws JRException

  Description copied from interface: `FillComponent`
  Evaluates the fill component.

  This method would evaluate the component expressions and store the results to be used in `FillComponent.fill()`.

  If the component needs to delay the evaluation of some of its expressions, it would call `FillContext.registerDelayedEvaluation(JRPrintElement, EvaluationTimeEnum, String)` to register a delayed evaluation print element, and perform the delayed evaluations on `FillComponent.evaluateDelayedElement(JRPrintElement, byte)`.

  Parameters:
    `evaluation` - the evaluation type
  Throws:
    `JRException`
  See Also:
    `FillContext.evaluate(net.sf.jasperreports.engine.JRExpression, byte)`

### evaluateBarcode

    protected void evaluateBarcode(byte evaluation)
                            throws JRException

  Throws:
    `JRException`

### isEvaluateNow

    protected boolean isEvaluateNow()

### prepare

    public FillPrepareResult prepare(int availableHeight)

  Description copied from interface: `FillComponent`
  Prepares to fill the component by deciding whether the component will print, and how much vertical space it will require.

  Parameters:
    `availableHeight` - the amount of vertical space available for the component, starting from the top of the component element.
  Returns:
    the result of the preparation, which specifies whether the component will print and how much it will stretch vertically.

### fill

    public JRPrintElement fill()

  Description copied from interface: `FillComponent`
  Fills the component by creating a print element which will be included in the generated report.

  This method will get called only if `FillComponent.prepare(int)` returned a result that indicated that the component will print.

  Returns:
    the print element generated by the component

### evaluateDelayedElement

    public void evaluateDelayedElement(JRPrintElement element,
                                       byte evaluation)
                                throws JRException

  Description copied from class: `BaseFillComponent`
  The default implementation throws `UnsupportedOperationException`.

  If a component supports delayed evaluation, it needs to override this method.

  Specified by:
    `evaluateDelayedElement` in interface `FillComponent`
  Overrides:
    `evaluateDelayedElement` in class `BaseFillComponent`
  Parameters:
    `element` - the print element for which delayed evaluation has been registered
    `evaluation` - the evaluation type
  Throws:
    `JRException`
  See Also:
    `FillComponent.evaluate(byte)`

### setBarcodeImage

    protected void setBarcodeImage(JRTemplatePrintImage image)

### getTemplateImage

    protected JRTemplateImage getTemplateImage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com